# $Revision: 1.38 $, $Date: 2011/02/04 18:24:06 $
Summary:	Tracker - an indexing subsystem
Summary(pl.UTF-8):	Tracker - podsystem indeksujący
Name:		tracker
Version:	0.8.17
Release:	4
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/tracker/0.8/%{name}-%{version}.tar.bz2
# Source0-md5:	503117377b228e4575105c6b4ce34eaa
Patch0:		%{name}-build.patch
Patch1:		%{name}-poppler-0.16.patch
URL:		http://projects.gnome.org/tracker/
BuildRequires:	GConf2-devel >= 2.20.0
BuildRequires:	UPower-devel
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	dbus-devel >= 1.0.0
BuildRequires:	dbus-glib-devel >= 0.78
BuildRequires:	docbook-dtd412-xml
BuildRequires:	enca-devel >= 1.9
BuildRequires:	evolution-data-server-devel >= 2.32.0
BuildRequires:	evolution-devel >= 2.32.0
BuildRequires:	exempi-devel >= 2.1.0
BuildRequires:	flac-devel >= 1.2.1
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.20.0
BuildRequires:	gnome-panel-devel
BuildRequires:	graphviz
BuildRequires:	gstreamer-devel >= 0.10.15
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	gtk+2-devel >= 2:2.16.0
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	hal-devel >= 0.5.10
BuildRequires:	id3lib-devel >= 3.8.3
BuildRequires:	intltool >= 0.37.0
BuildRequires:	libexif-devel >= 0.6.13
BuildRequires:	libgee-devel >= 0.3
BuildRequires:	libgsf-devel >= 1.14.7
BuildRequires:	libiptcdata-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libnotify-devel >= 0.4.3
BuildRequires:	libpng-devel >= 2:1.2.24
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	libvorbis-devel >= 0.22
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	nautilus-devel
BuildRequires:	nss-devel
BuildRequires:	pkgconfig
BuildRequires:	poppler-glib-devel >= 0.6
%{?with_deskbar_applet:BuildRequires:	rpm-pythonprov}
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sqlite3-devel >= 3.6.16
BuildRequires:	totem-pl-parser-devel
BuildRequires:	vala
BuildRequires:	xine-lib-devel >= 1.0
BuildRequires:	zlib-devel
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	%{name}-libs = %{version}-%{release}
Suggests:	odt2txt
# for gunzip
Suggests:	gzip
Obsoletes:	gnome-applet-deskbar-extension-tracker
Obsoletes:	tracker-search-gui
Obsoletes:	tracker-startup
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tracker is an indexing sub-system and search aggregator.

%description -l pl.UTF-8
Tracker jest podsystemem indeksującym i wyszukującym.

%package libs
Summary:	Tracker libraries
Summary(pl.UTF-8):	Bibliotek Trackera
Group:		Libraries
Obsoletes:	libtracker
Obsoletes:	libtracker-gtk

%description libs
Tracker libraries.

%description libs -l pl.UTF-8
Bibliotek Trackera.

%package devel
Summary:	Header files for Tracker libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek Trackera
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	libtracker-devel
Obsoletes:	libtracker-gtk-devel
Obsoletes:	libtracker-gtk-static
Obsoletes:	libtracker-static

%description devel
Header files for Tracker libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek Trackera.

%package apidocs
Summary:	Tracker libraries API documentation
Summary(pl.UTF-8):	Dokumentacja API bibliotek Trackera
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
Tracker libraries API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API bibliotek Trackera.

%package -n evolution-plugin-tracker
Summary:	Tracker plugin for Evolution
Summary(pl.UTF-8):	Wtyczka Trackera do Evolution
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	evolution >= 2.32.0

%description -n evolution-plugin-tracker
Tracker plugin for Evolution.

%description -n evolution-plugin-tracker -l pl.UTF-8
Wtyczka Trackera do Evolution.

%package -n nautilus-extension-tracker
Summary:	Tracker extension for Nautilus
Summary(pl.UTF-8):	Rozszerzenie Trackera dla Nautilusa
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus >= 2.26.0

%description -n nautilus-extension-tracker
Adds Tracker integration to Nautilus.

%description -n nautilus-extension-tracker -l pl.UTF-8
Dodaje integrację Trackera z Nautilusem.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-libvorbis \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--disable-unit-tests \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/evolution/*/plugins/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/tracker-0.8/*/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/tracker-0.8/push-modules/daemon/*.la

%find_lang tracker

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f tracker.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/tracker-control
%attr(755,root,root) %{_bindir}/tracker-explorer
%attr(755,root,root) %{_bindir}/tracker-import
%attr(755,root,root) %{_bindir}/tracker-info
%attr(755,root,root) %{_bindir}/tracker-preferences
%attr(755,root,root) %{_bindir}/tracker-search
%attr(755,root,root) %{_bindir}/tracker-search-tool
%attr(755,root,root) %{_bindir}/tracker-sparql
%attr(755,root,root) %{_bindir}/tracker-stats
%attr(755,root,root) %{_bindir}/tracker-status
%attr(755,root,root) %{_bindir}/tracker-status-icon
%attr(755,root,root) %{_bindir}/tracker-tag
%attr(755,root,root) %{_libdir}/tracker-extract
%attr(755,root,root) %{_libdir}/tracker-miner-fs
%attr(755,root,root) %{_libdir}/tracker-search-bar
%attr(755,root,root) %{_libdir}/tracker-store
%attr(755,root,root) %{_libdir}/tracker-writeback
%dir %{_libdir}/tracker-0.8/extract-modules
%attr(755,root,root) %{_libdir}/tracker-0.8/extract-modules/libextract-abw.so
#%attr(755,root,root) %{_libdir}/tracker-0.8/extract-modules/libextract-flac.so
%attr(755,root,root) %{_libdir}/tracker-0.8/extract-modules/libextract-gstreamer.so
%attr(755,root,root) %{_libdir}/tracker-0.8/extract-modules/libextract-html.so
%attr(755,root,root) %{_libdir}/tracker-0.8/extract-modules/libextract-jpeg.so
%attr(755,root,root) %{_libdir}/tracker-0.8/extract-modules/libextract-mp3.so
%attr(755,root,root) %{_libdir}/tracker-0.8/extract-modules/libextract-msoffice.so
%attr(755,root,root) %{_libdir}/tracker-0.8/extract-modules/libextract-oasis.so
%attr(755,root,root) %{_libdir}/tracker-0.8/extract-modules/libextract-pdf.so
%attr(755,root,root) %{_libdir}/tracker-0.8/extract-modules/libextract-playlist.so
%attr(755,root,root) %{_libdir}/tracker-0.8/extract-modules/libextract-png.so
%attr(755,root,root) %{_libdir}/tracker-0.8/extract-modules/libextract-ps.so
%attr(755,root,root) %{_libdir}/tracker-0.8/extract-modules/libextract-text.so
%attr(755,root,root) %{_libdir}/tracker-0.8/extract-modules/libextract-tiff.so
%attr(755,root,root) %{_libdir}/tracker-0.8/extract-modules/libextract-vorbis.so
%attr(755,root,root) %{_libdir}/tracker-0.8/extract-modules/libextract-xmp.so
%dir %{_libdir}/tracker-0.8/push-modules
%dir %{_libdir}/tracker-0.8/push-modules/daemon
%attr(755,root,root) %{_libdir}/tracker-0.8/push-modules/daemon/libtracker-module_kmail-daemon-module.so
%dir %{_libdir}/tracker-0.8/writeback-modules
%attr(755,root,root) %{_libdir}/tracker-0.8/writeback-modules/libwriteback-xmp.so
%{_sysconfdir}/xdg/autostart/tracker-miner-fs.desktop
%{_sysconfdir}/xdg/autostart/tracker-status-icon.desktop
%{_sysconfdir}/xdg/autostart/tracker-store.desktop
%{_libdir}/bonobo/servers/GNOME_Search_Bar_Applet.server
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Extract.service
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Miner.Applications.service
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Miner.EMails.service
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Miner.Files.service
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.service
%{_datadir}/tracker
%{_desktopdir}/tracker-preferences.desktop
%{_desktopdir}/tracker-search-tool.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg
%{_mandir}/man1/tracker-control.1*
%{_mandir}/man1/tracker-extract.1*
%{_mandir}/man1/tracker-import.1*
%{_mandir}/man1/tracker-info.1*
%{_mandir}/man1/tracker-miner-fs.1*
%{_mandir}/man1/tracker-preferences.1*
%{_mandir}/man1/tracker-search-bar.1*
%{_mandir}/man1/tracker-search-tool.1*
%{_mandir}/man1/tracker-search.1*
%{_mandir}/man1/tracker-sparql.1*
%{_mandir}/man1/tracker-stats.1*
%{_mandir}/man1/tracker-status-icon.1*
%{_mandir}/man1/tracker-status.1*
%{_mandir}/man1/tracker-store.1*
%{_mandir}/man1/tracker-tag.1*
%{_mandir}/man5/tracker-extract.cfg.5*
%{_mandir}/man5/tracker-fts.cfg.5*
%{_mandir}/man5/tracker-miner-fs.cfg.5*
%{_mandir}/man5/tracker-store.cfg.5*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtracker-client-0.8.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtracker-client-0.8.so.0
%attr(755,root,root) %{_libdir}/libtracker-extract-0.8.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtracker-extract-0.8.so.0
%attr(755,root,root) %{_libdir}/libtracker-miner-0.8.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtracker-miner-0.8.so.0
# required by libtracker-extract and libtracker-miner
%dir %{_libdir}/tracker-0.8
%attr(755,root,root) %{_libdir}/tracker-0.8/libtracker-common.so.*
%attr(755,root,root) %{_libdir}/tracker-0.8/libtracker-data.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtracker-client-0.8.so
%attr(755,root,root) %{_libdir}/libtracker-extract-0.8.so
%attr(755,root,root) %{_libdir}/libtracker-miner-0.8.so
%attr(755,root,root) %{_libdir}/tracker-0.8/libtracker-common.so
%attr(755,root,root) %{_libdir}/tracker-0.8/libtracker-data.so
%{_libdir}/libtracker-client-0.8.la
%{_libdir}/libtracker-extract-0.8.la
%{_libdir}/libtracker-miner-0.8.la
%{_libdir}/tracker-0.8/libtracker-common.la
%{_libdir}/tracker-0.8/libtracker-data.la
%{_datadir}/vala/vapi/tracker-client-0.8.vapi
%{_datadir}/vala/vapi/tracker-miner-0.8.vapi
%{_datadir}/vala/vapi/tracker-miner-0.8.deps
%{_includedir}/tracker-0.8
%{_pkgconfigdir}/tracker-client-0.8.pc
%{_pkgconfigdir}/tracker-extract-0.8.pc
%{_pkgconfigdir}/tracker-miner-0.8.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libtracker-client
%{_gtkdocdir}/libtracker-common
%{_gtkdocdir}/libtracker-extract
%{_gtkdocdir}/libtracker-miner
%{_gtkdocdir}/ontology

%files -n evolution-plugin-tracker
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/evolution/2.32/plugins/liborg-freedesktop-Tracker-evolution-plugin.so
%{_libdir}/evolution/2.32/plugins/org-freedesktop-Tracker-evolution-plugin.eplug

%files -n nautilus-extension-tracker
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/nautilus/extensions-2.0/libnautilus-tracker-tags.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tracker.spec,v $
Revision 1.38  2011/02/04 18:24:06  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.37  2010/12/29 11:13:04  lisu
- fix build with poppler 0.16
- rel 3

Revision 1.36  2010/12/28 10:52:38  lisu
- rel 2 (new poppler)

Revision 1.35  2010/10/09 22:37:57  megabajt
- require evolution 2.32

Revision 1.34  2010/10/09 22:34:00  megabajt
- updated to 0.8.17
- added -build.patch

Revision 1.33  2010/08/25 16:56:09  hawk
- release 2

Revision 1.32  2010/07/28 17:15:06  megabajt
- updated to 0.8.15

Revision 1.31  2010/06/25 13:22:03  megabajt
- updated to 0.8.13

Revision 1.30  2010/06/18 21:54:48  megabajt
- updated to 0.8.12

Revision 1.29  2010/05/30 16:55:30  megabajt
- updated to 0.8.9

Revision 1.28  2010/05/14 13:34:25  megabajt
- updated to 0.8.6

Revision 1.27  2010/05/13 15:48:13  sparky
- BR: docbook-dtd412-xml, graphviz, gstreamer-plugins-base-devel, nss-devel

Revision 1.26  2010/05/07 14:11:09  megabajt
- updated to 0.8.5

Revision 1.25  2010/04/30 13:27:41  megabajt
- updated to 0.8.4

Revision 1.24  2010/04/22 17:26:10  megabajt
- updated to 0.8.3

Revision 1.23  2010/04/15 18:51:09  megabajt
- updated to 0.8.2

Revision 1.22  2010/04/09 17:53:56  megabajt
- updated to 0.8.1

Revision 1.21  2010/04/02 18:00:34  megabajt
- merged from DEVEL

Revision 1.20.2.3  2010/04/02 17:59:22  megabajt
- updated to 0.8.0
- deskbar applet has been removed

Revision 1.20.2.2  2010/03/14 17:01:24  megabajt
- updated to 0.7.25

Revision 1.20.2.1  2010/02/26 17:57:35  megabajt
- updated to 0.7.23 (completely rewritten)
- added -libs, -devel and -static subpackages instead of libtracker-* packages
- added nautilus-extension-tracker and evolution-plugin-tracker package
- removed -search-gui and -startup subpackages
- disabled by default deskbar_applet bcond (applet is out of date)

Revision 1.20  2010/02/06 21:03:38  arekm
- release 10

Revision 1.19  2010/01/28 19:56:34  arekm
- release 9

Revision 1.18  2009/11/29 00:15:22  sparky
- BR: rpm-pythonprov (for deskbar_applet)

Revision 1.17  2009/06/20 22:45:24  hawk
- release 8

Revision 1.16  2009/06/20 16:41:51  hawk
- reverted broken commit

Revision 1.15  2009/06/17 19:47:05  hawk
- release 2

Revision 1.14  2009/03/18 15:58:33  patrys
- rel 7

Revision 1.13  2009/01/16 10:58:03  duddits
- rel. 6

Revision 1.12  2008/11/10 13:21:03  megabajt
- release 5

Revision 1.11  2008/11/06 19:18:20  sls
- use gmime22

Revision 1.10  2008/10/04 20:17:30  megabajt
- release 4

Revision 1.9  2008/07/10 19:41:09  qboosh
- pl fixes, unified

Revision 1.8  2008/04/26 21:53:09  megabajt
- added -strcmp.patch
- release 3

Revision 1.7  2008-04-13 16:59:22  arekm
- release 2

Revision 1.6  2008-03-03 10:51:47  patrys
- 0.6.6

Revision 1.5  2008-02-14 21:12:54  megabajt
- reverted previous commit; configure uses deskbar-applet.pc to determine
  where deskbar-applet module should be placed
- release 3

Revision 1.4  2008-02-12 21:33:15  patrys
- deskbar-devel is not needed

Revision 1.3  2008-02-09 13:14:21  megabajt
- added -assorted_fixes.patch
- added deskbar_applet bcond
- created gnome-applet-deskbar-extension-tracker package

Revision 1.2  2008-02-08 23:18:51  megabajt
- updated to 0.6.4
- created libtracker and libtracker-gtk packages with -devel and -static
  subpackages
- removed unused exif,pdf,libxml2,gsf,sqlite3 bconds
- more verbose files

Revision 1.1  2007-11-10 19:31:01  wolvverine
- init
